/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function ($, Drupal) {
  Drupal.AjaxCommands.prototype.jfuDialogSave = function (ajax, response, status) {
    var field_name = app.fieldName;
    var component_type = app.selectedComponent;
    var add = app.jfuComponents[field_name];
    var image_index = parseInt(response.values.image_index);
    var image_subindexitem = response.values.image_subindexitem;

    switch (component_type) {
      case 'content_columns':
        var image_subindex = parseInt(response.values.image_subindex);
        var fid_old = add[component_type].items.items[image_subindex].image.fid;
        add[component_type].items.items[image_subindex].image.fid = response.values.fid[0];
        add[component_type].items.items[image_subindex].image.value = response.values.attributes.src;
        break;
      case 'tabs':
        if (add[component_type].items[image_index].body.type === 'content_columns' || add[component_type].items[image_index].body.type === 'banner' || add[component_type].items[image_index].body.type === 'gallery') {
          var image_subindex = parseInt(response.values.image_subindex);
          if (image_subindexitem === 'responsive_image') {
            var fid_old = add[component_type].items[image_index].body.items.items[image_subindex][image_subindexitem].fid;
            add[component_type].items[image_index].body.items.items[image_subindex][image_subindexitem].fid = response.values.fid[0];
            add[component_type].items[image_index].body.items.items[image_subindex][image_subindexitem].value = response.values.attributes.src;
          }
          else {
            var fid_old = add[component_type].items[image_index].body.items.items[image_subindex].image.fid;
            add[component_type].items[image_index].body.items.items[image_subindex].image.fid = response.values.fid[0];
            add[component_type].items[image_index].body.items.items[image_subindex].image.value = response.values.attributes.src;
          }
        }
        else {
          var image_index = parseInt(response.values.image_index);
          var fid_old = add[component_type].items[image_index].body.image.fid;
          add[component_type].items[image_index].body.image.fid = response.values.fid[0];
          add[component_type].items[image_index].body.image.value = response.values.attributes.src;
        }
        break;
      case 'gallery':
        var image_subindex = parseInt(response.values.image_subindex);
        var fid_old = add[component_type].items.items[image_subindex].image.fid;
        add[component_type].items.items[image_subindex].image.fid = response.values.fid[0];
        add[component_type].items.items[image_subindex].image.value = response.values.attributes.src;
        break;
      case 'banner':
        var image_subindex = parseInt(response.values.image_subindex);
        if (image_subindexitem === 'responsive_image') {
          var fid_old = add[component_type].items.items[image_subindex][image_subindexitem].fid;
          add[component_type].items.items[image_subindex][image_subindexitem].fid = response.values.fid[0];
          add[component_type].items.items[image_subindex][image_subindexitem].value = response.values.attributes.src;
        }
        else {
          var fid_old = add[component_type].items.items[image_subindex].image.fid;
          add[component_type].items.items[image_subindex].image.fid = response.values.fid[0];
          add[component_type].items.items[image_subindex].image.value = response.values.attributes.src;
        }
        break;
      default:
        var fid_old = add[component_type].image.fid;
        add[component_type].image.fid = response.values.fid[0];
        add[component_type].image.value = response.values.attributes.src;
        break;
    }

    var fid_permanent = $('[data-drupal-selector="edit-jfu-fids-permanent"]').val().concat(response.values.fid[0], ',');
    $('[data-drupal-selector="edit-jfu-fids-permanent"]').val(fid_permanent);
    if (fid_old !== '') {
      var fid_delete = $('[data-drupal-selector="edit-jfu-fids-delete"]').val().concat(fid_old, ',');
      $('[data-drupal-selector="edit-jfu-fids-delete"]').val(fid_delete);
    }
  };
})(jQuery, Drupal);
